# frozen_string_literal: true

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "groundskeeper/version"

Gem::Specification.new do |spec|
  spec.name          = "groundskeeper-bitcore"
  spec.version       = Groundskeeper::VERSION
  spec.authors       = ["BIT Core"]
  spec.email         = ["ericcf@northwestern.edu"]

  spec.summary       = "A gem for managing releases and deployments."
  spec.homepage      = "https://github.com/NU-CBITS/groundskeeper.git"
  spec.license       = "MIT"
  spec.cert_chain    = ["certs/ericcf.pem"]
  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the
  # 'allowed_push_host' to allow pushing to a single host or delete this
  # section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   = "ground"
  spec.require_paths = %w[lib config]

  spec.required_ruby_version = ">= 2.4"
  spec.add_dependency "jira-ruby", "~> 2.0"
  spec.add_dependency "mina", "~> 1.2"
  spec.add_dependency "mina-whenever", "~> 1.0.1"
  spec.add_dependency "thor", "~> 1.0"

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "byebug"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "rubocop", "~> 0.63"
  spec.add_development_dependency "rubocop-performance"
  spec.add_development_dependency "simplecov", "~> 0.14"
end
